libcamd2.2.0_3.4.0-3_i386.deb


Advertisement

Description

libcamd2.2.0 - symmetric approximate minimum degree library for sparse matrices

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main i386
Package name libcamd2.2.0
Package version 3.4.0
Package release 3
Package architecture i386
Package type deb
Installed size 73 B
Download size 19.28 KB
Official Mirror ftp.br.debian.org
Suitesparse is a collection of libraries for computations involving
sparse matrices.  This package includes the following dynamic library:
CAMD        symmetric approximate minimum degree

Alternatives

Package Version Architecture Repository
libcamd2.2.0_3.4.0-3_amd64.deb 3.4.0 amd64 Debian Main
libcamd2.2.0 - - -

Requires

Name Value
libc6 >= 2.1.3

Download

Type URL
Binary Package libcamd2.2.0_3.4.0-3_i386.deb
Source Package suitesparse

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcamd2.2.0 deb package:
    # sudo apt-get install libcamd2.2.0

Files

Path
/usr/lib/libcamd.so.2.2.0
/usr/share/doc/libcamd2.2.0/NEWS.Debian.gz
/usr/share/doc/libcamd2.2.0/changelog.Debian.gz
/usr/share/doc/libcamd2.2.0/copyright

Changelog

2012-08-04 - Evgeni Golov <evgeni@debian.org>
suitesparse (1:3.4.0-3) unstable; urgency=low
* Team upload.
[ Sylvestre Ledru ]
* Standard-Version updated to 3.9.3 (no changes requiered)
[ Evgeni Golov ]
* [f782819] Add -g to CFLAGS. (Closes: #682177)
* [d43b31b] Honour CFLAGS in debian/patches/09-CSparse_Lib_Makefile.diff
[ Anton Gladky ]
* [3a0e1c1] Move repository into debian-science.
2010-04-15 - Sylvestre Ledru <sylvestre@debian.org>
suitesparse (1:3.4.0-2) unstable; urgency=low
* Maintainer changed to Debian Science
* Updated list of Uploaders (Closes: #571884, #550417)
* Standards-Version updated to version 3.8.4
* Link against -llapackgf-3 changed to -llapack (Closes: #577879)
* Removed doc-central recommends (Closes: #566361)
2009-06-06 - Rafael Laboissiere <rafael@debian.org>
suitesparse (1:3.4.0-1) unstable; urgency=low
[ Rafael Laboissiere ]
* New upstream release
* debian/patches/14-SPQR_Include_spqr_hpp.dpatch: Removed patch (applied
upstream)
* Split the libraries into individual packages
+ The new binary packages are (the soversion numbers are the ones
provided by the upstream authors in the UFconfig/UFconfig.h file):
- libamd2.2.0
- libbtf1.1.0
- libcamd2.2.0
- libcolamd2.7.1
- libccolamd2.7.1
- libcholmod1.7.1
- libcsparse2.2.3
- libcxsparse2.2.3
- libklu1.1.0
- libldl2.0.1
- libumfpack5.4.0
+ The libsuitesparse-dev and libsuitesparse-dbg packages remain as
before.  They depend on all the binary packages above.
+ debian/library-soname.pl: New Perl script that is used everywhere to
obtain the name of the package for each library.  This is the
centralized place where this information should be provided.
+ The debian/control file has been moved into debian/control.in and is
automatically generated by debian/rules with the appropriate names
of the packages being replaced.
+ debian/patches/*.diff: All the patches have been adapted for
obtaining the library soversion using the debian/library-soname.pl
script.
+ debian/symbols/*, debian/install/*: These are the source files for
the debian/lib*.symbols and debian/lib*.install.  The later are
obtained from the former in debian/rules by using the appropriate
package names.  For now, this is acomplished with $(foreach) in
debian/rules and amounts to simply copying files, like
"cp debian/symbols/AMD debian/libamd2.2.symbols"
+ debian/NEWS: Document the changes above
* Switch from dpatch to quilt as patch system
* debian/control.in:
+ The Debian packaging files are now maintained through a Git
repository at alioth.debian.org.  Switch the Vcs-* URLs to Git,
accordingly.
+ Bump Standards-Version to 3.8.1 (add debian/README.source explaining
mentioning the quilt patch system, as mandated by the Policy)
* debian/rules: Prevent removal of debian/README.source in clean rule
[ Thomas Viehmann ]
* Sprinkle some linking to KLU, UMFPACK shared libraries
to not have unresolved symbols. Remove some from CHOLMOD.
Now dpkg-shlibdeps does not warn anymore.
(changing debian/patches/*Makefile.dpatch)
Closes: #526422
2009-02-24 - Rafael Laboissiere <rafael@debian.org>
suitesparse (1:3.2.0-4) unstable; urgency=low
* debian/control: Add an epoch to the version number of
libsuitesparse-3.0.2 in replaces/conflicts for libcolamd-3.2.0
(really, closes: #516725)
2009-02-23 - Rafael Laboissiere <rafael@debian.org>
suitesparse (1:3.2.0-3) unstable; urgency=low
* debian/control: Make libcolamd-3.2.0 replace and conflict with
libsuitesparse-3.2.0 <= 3.2.0-1 (closes: #516725)

See Also

Package Description
libcamel-1.2-33_3.4.4-3+deb7u1_i386.deb Evolution MIME message handling library
libcamel1.2-dev_3.4.4-3+deb7u1_i386.deb Development files for libcamel
libcameleon-ocaml-dev_1.9.21-2+b1_i386.deb libraries from Cameleon
libcaml2html-ocaml-dev_1.4.1-3_i386.deb HTML and LaTeX colored syntax from OCaml source files
libcaml2html-ocaml_1.4.1-3_i386.deb HTML and LaTeX colored syntax from OCaml source files
libcamlimages-ocaml-dev_4.0.1-4+b2_i386.deb OCaml image processing library (Development package)
libcamlimages-ocaml-doc_4.0.1-4_all.deb OCaml CamlImages library documentation
libcamlimages-ocaml_4.0.1-4+b2_i386.deb OCaml image processing library (Runtime library)
libcamljava-ocaml-dev_0.3-1+b3_i386.deb interface between OCaml and Java via Caml/C interface and JNI
libcamltemplate-ocaml-dev_1.0.2-1+b2_i386.deb configurable library for generating text from templates in OCaml
libcamltemplate-ocaml_1.0.2-1+b2_i386.deb configurable library for generating text from templates in OCaml
libcamomile-ocaml-data_0.8.4-2_all.deb Unicode data for OCaml
libcamomile-ocaml-dev_0.8.4-2_i386.deb Unicode library for OCaml
libcanberra-dev_0.28-6_i386.deb simple abstract interface for playing event sounds
libcanberra-doc_0.28-6_all.deb simple abstract interface for playing event sounds - doc
Advertisement
Advertisement